<div>
  <form class="searchform">
    <SearchByParams v-if="advencedSearch" :price="price" :space="space" />
    <SearchByName v-else />
  </form>
  <div class="form-settings">
    <div class="form-params">
      <div
        class="form-addadv"
        :class="advencedSearch ? 'active' : '' "
        @click="advencedSearch = true"
      >
        Обычный поиск
      </div>
      <div
        class="form-toogle"
        :class="advencedSearch ? 'active' : '' "
        @click="advencedSearch = !advencedSearch"
      >
        <div class="form-toogleCircle" />
      </div>
      <div
        class="form-addadv"
        :class="!advencedSearch ? 'active' : '' "
        @click="advencedSearch = false"
      >
        Искать по названию
      </div>
    </div>
    <div class="form-params" v-if="advencedSearch">
      <div
        class="form-addparam"
        @click="price = !price"
        :class="price ? 'active' : ''"
      >
        <img src="@/assets/plus.svg" alt="" />
        <span>Цена</span>
      </div>
      <div
        class="form-addparam"
        @click="space = !space"
        :class="space ? 'active': ''"
      >
        <img src="@/assets/plus.svg" alt="" />
        <span>Метраж</span>
      </div>
    </div>
  </div>
</div>
